% Create Plant
w = ureal('w',2,'range',[1 3]);
z = ureal('z',1,'range',[0.25 1.5]);
G = tf(w^2,[1 2*z*w w^2]);
GUncValue = [];
%GUncValue.w = 3; GUncValue.z = 0.5479;

% Do worst-case sim
opt = optimset('display','iter','MaxIter',5);
bp=wcsim('opttest',[],opt)    % ~5.0sec

% Run a simulation with the perts returned by wcsim and
% check the objective and constraint function values
Original = bp;
sim('opttest')
Objective = WCSIMObjective.objective
Constraint = WCSIMConstraint.constraint

% Plot signals
figure(1)
subplot(211)
plot(WCSIMObjective.time,WCSIMObjective.signals.values)
xlabel('time');
ylabel('e');

subplot(212)
plot(WCSIMConstraint.time,WCSIMConstraint.signals.values,'b',...
    [0 WCSIMConstraint.time(end)],[0.9 0.9],'r')
xlabel('time');
ylabel('y');
